Delete Webhook
Deletes the requested webhook.
Required scopes: Default Scopes unavailable for this API.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
ID for the webhook.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/webhooks.delete" \ -H "Content-Type: application/json" \ -d '{ "id": "don:integration:dvrv-us-1:devo/example:webhook/webhook-id" }'{}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Create Webhook POST
Creates a new webhook target. **Required scopes:** Default Scopes unavailable for this API.
Event Webhooks POST
Describes a webhook invocation for an event from DevRev to a webhook's target URL, where the receiving handler must implement the specified protocol. Note the documented endpoint is for exposition and not provided by DevRev. **Required scopes:** Default Scopes unavailable for this API.